STOREBACKUPMOUNT(1)

NAME
storeBackupMount.pl - runs storeBackup backing up to an nfs mount

SYNOPSIS
        storeBackupMount.pl -c configFile [-s server] [-l logFile] [-d]
        [-p pathToStoreBackup] [-k killTime] [-m] mountPoints...

DESCRIPTION
This script does the following:

- checks an nfs server with ping
- mounts that server via a list of mount points
- starts storeBackup (with a config file)
- umounts that server

OPTIONS

--server, -s
        name or ip address of the nfs server
        default is localhost

--configFile, -c
        configuration file for storeBackup.
        if option 'logFile' is set in the configration file,
        that log file is read online, if it is different from -l

--logFile, -l
        logFile for this process.
        default is STDOUT.
        you can log into the same logfile as storeBackup

--debug, -d
        generate some debug messages

--pathStbu, -p
        path to executable storeBackup.pl or storeBackup

--killTime -k
        time until storeBackup.pl will be killed.
        default is 365 days.
        the time range has to be specified in format 'dhms', e.g.
        10d4h means 10 days and 4 hours

--keepExistingMounts, -m
        if a mount already exists, do not umount after
        running storeBackup

mountPoints
        List of mount points needed to perform the backup.
        This must be a list of paths which have to be
        defined in /etc/fstab.
        -
        if you add 'ro,' or 'rw,' to the beginning of a mount
        point, you can overwrite that option set in /etc/fstab

        example:
        ro,/filesSystemToRead
           will mount /fileSystemToRead read only, even if the
           corresponding entry in /etc/fstab mounts it read write

        only root is allowed to use this feature!

EXIT STATUS

0 -> everything is ok
1 -> error from storeBackup
2 -> error from storeBackupMount
3 -> error from both programs

COPYRIGHT
Copyright (c) 2004-2012 by Heinz-Josef Claes (see README). Published under the GNU General Public License v3 or any later version